#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 serialise
version:              0.2.3.0
visibility:           public
id:                   serialise-0.2.3.0-AbRQCh8O1uXJ02gCLUXQDs
key:                  serialise-0.2.3.0-AbRQCh8O1uXJ02gCLUXQDs
license:              BSD-3-Clause
copyright:
    2015-2017 Duncan Coutts,
    2015-2017 Well-Typed LLP,
    2015 IRIS Connect Ltd

maintainer:           duncan@community.haskell.org, ben@smart-cactus.org
author:               Duncan Coutts
homepage:             https://github.com/well-typed/cborg
synopsis:             A binary serialisation library for Haskell values.
description:
    This package (formerly @binary-serialise-cbor@) provides pure, efficient
    serialization of Haskell values directly into @ByteString@s for storage or
    transmission purposes. By providing a set of type class instances, you can
    also serialise any custom data type you have as well.

    The underlying binary format used is the '\''Concise Binary Object
    Representation'\'', or CBOR, specified in RFC 7049. As a result,
    serialised Haskell values have implicit structure outside of the
    Haskell program itself, meaning they can be inspected or analyzed
    without custom tools.

    An implementation of the standard bijection between CBOR and JSON is provided
    by the [cborg-json](/package/cborg-json) package. Also see
    [cbor-tool](/package/cbor-tool) for a convenient command-line utility for
    working with CBOR data.

category:             Codec
abi:                  2e4cf112a13e815edbddc0b4d555878e
exposed:              True
exposed-modules:
    Codec.Serialise Codec.Serialise.Class Codec.Serialise.Decoding
    Codec.Serialise.Encoding Codec.Serialise.IO
    Codec.Serialise.Internal.GeneralisedUTF8 Codec.Serialise.Properties
    Codec.Serialise.Tutorial

import-dirs:          /usr/lib/ghc-8.10.4/site-local/serialise-0.2.3.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/serialise-0.2.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/serialise-0.2.3.0
hs-libraries:         HSserialise-0.2.3.0-AbRQCh8O1uXJ02gCLUXQDs
depends:
    array-0.5.4.0 base-4.14.1.0 bytestring-0.10.12.0
    cborg-0.2.4.0-1TByniK0pKLJsKZERbdJy1 containers-0.6.2.1
    ghc-prim-0.6.1 half-0.3.1-ATQziojSl2V78R2BtbrdAg
    hashable-1.3.1.0-4EsGp1K7uOu2cACWuCidz3
    primitive-0.7.1.0-BzleGstbK9GCUeh5YTaiIg text-1.2.4.1 time-1.9.3
    unordered-containers-0.2.13.0-GpKX90RmBie7xFEkTgVtxL
    vector-0.12.2.0-7EbNsr7S4xfLPw9HM8zAxH

haddock-interfaces:   /usr/share/doc/haskell-serialise/html/serialise.haddock
haddock-html:         /usr/share/doc/haskell-serialise/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

